<?php
require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
$page_title = 'События';
require_once('conf/head.php');
require_once('conf/top.php');

$user_id=abs(intval($_SESSION['id']));
$dbc->query("update users set location = 'events', events='0' where id = '$user_id' limit 1");


$count=mysqli_num_rows(mysqli_query($dbc,"SELECT COUNT(*) FROM`events` where my_id ='$user_id'"));



include_once 'nav_class.php';
echo"<br/><center><p class='name'>События</p></center>";
//Эх подстраничная навигация нелезть:)
$nstr='10'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`events` where my_id ='$user_id'"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
$query_us = "Select * from events where my_id='$user_id' order by id desc LIMIT $str,$nstr";
      $result_us = mysqli_query($dbc, $query_us) or die ('Ошибка передачи запроса к БД');
	  while ($row_us = mysqli_fetch_array($result_us)) {
           $text = $row_us['text'];

	  echo'</p><div class="r6">'.$text.'</div>';  
}
if($count==0){echo'<center>У вас еще нет событий</center>';}
if($count>0){$pages->print_nav('&');} //Навигация гг
require_once('conf/navig.php');
require_once('conf/foot.php');
?>
</div>
</body>
</html>